/*!
 * gitmars v4.0.0-alpha.15
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
import i18n from '#lib/locales/index';

const cmdConfig = {
  command: "postmsg",
  short: null,
  args: [
    {
      required: true,
      name: "message",
      variadic: false
    }
  ],
  options: [
    {
      flags: "-u, --url [url]",
      required: false,
      optional: true,
      variadic: false,
      mandatory: false,
      short: "-u",
      long: "--url",
      negate: false,
      description: i18n.__("The api address of the push message"),
      defaultValue: ""
    }
  ],
  validatorOpts: (val, opts, cb) => {
    cb();
  },
  validatorArgs: (val, opts, cb) => {
    cb();
  },
  transformOpts: (val, opts, cb) => {
    cb();
  },
  transformArgs: (val, opts, cb) => {
    cb();
  }
};

export { cmdConfig, cmdConfig as default };
