/*!
 * gitmars v4.0.0-alpha.15
 * 这是一个git工作流工具
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
import i18n from '#lib/locales/index';

const cmdConfig = {
  command: "ui",
  short: null,
  args: [],
  options: [
    {
      flags: "-p, --port [port]",
      required: false,
      optional: true,
      variadic: false,
      mandatory: false,
      short: "-p",
      long: "--port",
      negate: false,
      description: i18n.__("Specify the port number"),
      defaultValue: 3e3,
      recommend: false
    }
  ]
};

export { cmdConfig, cmdConfig as default };
